local grogginess = utils.require "components/grogginess"
local oldhasoverheatinggear = grogginess and grogginess.hasoverheatinggear
if oldhasoverheatinggear then
    function grogginess:hasoverheatinggear(...)
        local g = self.inst:HasTag("groggy")
        if g then self.inst:RemoveTag("groggy") end
        local ret = { oldhasoverheatinggear(self, ...) }
        if g then self.inst:AddTag("groggy") end
        local items = {}
        if ret[1] ~= nil then
            local oldgroggy = ret[1]
            if type(oldgroggy) == "table" then
                items = oldgroggy
                oldgroggy = #oldgroggy > 0
            end
            if self.inst:HasTag("venting") then return unpack(ret) end
            local inventory = self.inst.components.inventory
            if inventory then
                for k, v in pairs(EQUIPSLOTS) do
                    if not table.contains(FOG_IMMUNE_SLOTS, v) then
                        local kitem = inventory.equipslots[v]
                        if kitem then
                            if not kitem:HasTag("vented") then
                                if not table.contains(items, kitem) then
                                    table.insert(items, kitem)
                                end
                            end
                        end
                    end
                end
                if #items > 0 then
                    ret[1] = items
                else
                    if g then
                        if self.inst.components.talker then
                            self.inst.components.talker:Say(GetString(self.inst.prefab, "ANNOUNCE_DEHUMID"))
                        end
                    end
                end
            end
        end
        return unpack(ret)
    end
end
