local resurrectable = require "components/resurrectable"
local function WhichSlot(slot, self, cause)
    if self.inst and self.inst.components.inventory then
        local item = self.inst.components.inventory:GetEquippedItem(slot)
        if item then
            if (cause == "drowning" and item.prefab == "armor_lifejacket") or item.prefab == "amulet" then
                return true
            end
        end
    end
end
resurrectable.FindClosestResurrector = MakeTargetSwitch(resurrectable.FindClosestResurrector, WhichSlot)
resurrectable.CanResurrect = MakeTargetSwitch(resurrectable.CanResurrect, WhichSlot)
resurrectable.DoResurrect = MakeTargetSwitch(resurrectable.DoResurrect, WhichSlot)
