local GetDisplayName = EntityScript.GetDisplayName
function EntityScript:GetDisplayName(...)
    local oldname = GetDisplayName(self, ...)
    if self.components.equippable then
        local oldeq = self.components.equippable.equipslot
        if not oldeq then return oldname end
        if oldeq == EQUIPSLOTS.NECK or oldeq == EQUIPSLOTS.BACK then
            self.components.equippable.equipslot = EQUIPSLOTS.BODY
            local newname = GetDisplayName(self, ...)
            self.components.equippable.equipslot = oldeq
            return newname
        end
    end
    return oldname
end
