
local function FixWilba(inst)
    local function TransformToWere(inst)
        local inventory = inst.components.inventory
        for k, v in pairs(EQUIPSLOTS) do
            if not inventory:GetEquippedItem(v) then
                local pfur = SpawnPrefab("werewilbafur_body")
                pfur.components.equippable.equipslot = v
                inventory:Equip(pfur)
            end
        end
    end

    wrapperAfter(inst, "TransformToWere", TransformToWere)
    local function TransformToWilba(inst)
        local inventory = inst.components.inventory
        for k, v in pairs(EQUIPSLOTS) do
            local vfur = inventory:GetEquippedItem(v)
            if vfur then
                vfur.components.equippable.un_unequipable = nil
                vfur:Remove()
            end
        end
    end

    wrapperAfter(inst, "TransformToWilba", TransformToWilba)
end

utils.prefab("wilba",FixWilba)