local hud = require "screens/playerhud"
local SetMainCharacter = hud.SetMainCharacter
hud.SetMainCharacter = function(self, inst, ...)
    SetMainCharacter(self, inst, ...)
    -- use DST code
    if inst and inst.components.inventory then
        local overflow = inst.components.inventory ~= nil and inst.components.inventory.overflow or nil
        if not overflow then
            for k, v in pairs(inst.components.inventory.equipslots) do
                if v.components.container then
                    overflow = v
                    break
                end
            end
        end
        if overflow then
            overflow.components.container:Close()
            overflow.components.container:Open(inst)
        end
    end
end
